Deskhero Developer Hub
Back to deskhero.com
Categories

Set parent

Moves a category (with its whole subtree) under a new parent, or to the top level with parent_id 0. The category name must stay unique among the new siblings and a category cannot be moved into its own subcategory. The moved category is appended at the end of its new sibling group's public FAQ order.

PUT /api/{tenant:minlength(2)}/v{version:apiVersion}/categories/set_parent
Authorisation
Minimum role: ADMIN

Request arguments

Name Type Source
inputDTO_category_set_parentBody
Request body example

Response

Status
200 (OK)
Type
DTO_acknowledgement
Wrapper
DTO_response_wrap
Other statuses
400 (BadRequest), 401 (Unauthorized), 403 (Forbidden), 404 (NotFound), 429 (TooManyRequests)
Response body example
DTO_category_set_parent
NameTypeReadOnlyDescription
idInt32Id
parent_idInt32Parent id
DTO_acknowledgement
NameTypeReadOnlyDescription
messageStringMessage

Generated Aug 22, 2026 09:36